# HG changeset patch
# Node ID bc772b1536fe
# Parent  78c08edcbac7
diff --git a/finch/finchnotifications.c b/finch/finchnotifications.c
--- a/finch/finchnotifications.c
+++ b/finch/finchnotifications.c
@@ -20,7 +20,7 @@
  * along with this program; if not, see <https://www.gnu.org/licenses/>.
  */
 
-#include <config.h>
+#include <purpleconfig.h>
 
 #include <glib.h>
 #include <glib/gi18n-lib.h>
diff --git a/finch/gntconv.c b/finch/gntconv.c
--- a/finch/gntconv.c
+++ b/finch/gntconv.c
@@ -20,6 +20,8 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
 
+#include "purpleconfig.h"
+
 #include NCURSES_HEADER
 
 #include <errno.h>
@@ -46,8 +48,6 @@
 #define PREF_CHAT   PREF_ROOT "/chats"
 #define PREF_USERLIST PREF_CHAT "/userlist"
 
-#include "config.h"
-
 static void generate_send_to_menu(FinchConv *ggc);
 
 static int color_message_receive;
diff --git a/finch/gntdebug.c b/finch/gntdebug.c
--- a/finch/gntdebug.c
+++ b/finch/gntdebug.c
@@ -20,7 +20,7 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
 
-#include <config.h>
+#include <purpleconfig.h>
 
 #include <glib.h>
 #include <glib/gi18n-lib.h>
diff --git a/finch/gntmedia.c b/finch/gntmedia.c
--- a/finch/gntmedia.c
+++ b/finch/gntmedia.c
@@ -20,7 +20,7 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
 
-#include <config.h>
+#include <purpleconfig.h>
 
 #include <glib/gi18n-lib.h>
 
diff --git a/finch/libfinch.c b/finch/libfinch.c
--- a/finch/libfinch.c
+++ b/finch/libfinch.c
@@ -20,6 +20,8 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
 
+#include "purpleconfig.h"
+
 #include <errno.h>
 
 #include <glib.h>
@@ -36,7 +38,6 @@
 #include "gntprefs.h"
 #include "libfinch.h"
 
-#include "config.h"
 #include "package_revision.h"
 
 static gboolean
diff --git a/finch/plugins/gntclipboard/gntclipboard.c b/finch/plugins/gntclipboard/gntclipboard.c
--- a/finch/plugins/gntclipboard/gntclipboard.c
+++ b/finch/plugins/gntclipboard/gntclipboard.c
@@ -18,9 +18,7 @@
 
 #define _POSIX_C_SOURCE 200809L /* Needed to get kill(2). */
 
-#ifdef HAVE_CONFIG_H
-# include <config.h>
-#endif /* HAVE_CONFIG_H */
+#include <purpleconfig.h>
 
 #include <glib.h>
 #include <glib/gi18n-lib.h>
diff --git a/libpurple/core.c b/libpurple/core.c
--- a/libpurple/core.c
+++ b/libpurple/core.c
@@ -19,14 +19,12 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
 
+#include <purpleconfig.h>
+
 #include <glib/gi18n-lib.h>
 #define G_SETTINGS_ENABLE_BACKEND
 #include <gio/gsettingsbackend.h>
 
-#ifdef HAVE_CONFIG_H
-# include <config.h>
-#endif /* HAVE_CONFIG_H */
-
 #include "cmds.h"
 #include "connection.h"
 #include "conversations.h"
diff --git a/libpurple/plugins.c b/libpurple/plugins.c
--- a/libpurple/plugins.c
+++ b/libpurple/plugins.c
@@ -20,11 +20,9 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
 
-#include <glib/gi18n-lib.h>
+#include <purpleconfig.h>
 
-#ifdef HAVE_CONFIG_H
-# include <config.h>
-#endif /* HAVE_CONFIG_H */
+#include <glib/gi18n-lib.h>
 
 #include "core.h"
 #include "debug.h"
diff --git a/libpurple/plugins/notification-sound/notification-sound.c b/libpurple/plugins/notification-sound/notification-sound.c
--- a/libpurple/plugins/notification-sound/notification-sound.c
+++ b/libpurple/plugins/notification-sound/notification-sound.c
@@ -19,7 +19,7 @@
  * along with this program; if not, see <https://www.gnu.org/licenses/>.
  */
 
-#include <config.h>
+#include <purpleconfig.h>
 
 #include <glib/gi18n-lib.h>
 
diff --git a/libpurple/prefs.c b/libpurple/prefs.c
--- a/libpurple/prefs.c
+++ b/libpurple/prefs.c
@@ -21,9 +21,7 @@
  *
  */
 
-#ifdef HAVE_CONFIG_H
-# include <config.h>
-#endif /* HAVE_CONFIG_H */
+#include <purpleconfig.h>
 
 #include <string.h>
 #include <stdio.h>
diff --git a/libpurple/protocols/bonjour/bonjour_ft.c b/libpurple/protocols/bonjour/bonjour_ft.c
--- a/libpurple/protocols/bonjour/bonjour_ft.c
+++ b/libpurple/protocols/bonjour/bonjour_ft.c
@@ -20,7 +20,7 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,  USA
  */
 
-#include <config.h>
+#include <purpleconfig.h>
 
 #include <sys/types.h>
 
diff --git a/libpurple/protocols/jabber/jabber.h b/libpurple/protocols/jabber/jabber.h
--- a/libpurple/protocols/jabber/jabber.h
+++ b/libpurple/protocols/jabber/jabber.h
@@ -57,8 +57,6 @@ typedef struct _JabberStream JabberStrea
 #include <gio/gio.h>
 #include <libsoup/soup.h>
 
-#include <config.h>
-
 #include <purple.h>
 
 #include "namespaces.h"
diff --git a/libpurple/protocols/jabber/jabber.c b/libpurple/protocols/jabber/jabber.c
--- a/libpurple/protocols/jabber/jabber.c
+++ b/libpurple/protocols/jabber/jabber.c
@@ -21,7 +21,7 @@
  *
  */
 
-#include <config.h>
+#include <purpleconfig.h>
 
 #include <errno.h>
 
diff --git a/libpurple/protocols/jabber/jingle/rtp.h b/libpurple/protocols/jabber/jingle/rtp.h
--- a/libpurple/protocols/jabber/jingle/rtp.h
+++ b/libpurple/protocols/jabber/jingle/rtp.h
@@ -25,8 +25,6 @@
 #ifndef PURPLE_JABBER_JINGLE_RTP_H
 #define PURPLE_JABBER_JINGLE_RTP_H
 
-#include "config.h"
-
 #include <glib.h>
 #include <glib-object.h>
 
diff --git a/libpurple/protocols/jabber/jingle/rtp.c b/libpurple/protocols/jabber/jingle/rtp.c
--- a/libpurple/protocols/jabber/jingle/rtp.c
+++ b/libpurple/protocols/jabber/jingle/rtp.c
@@ -22,7 +22,7 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
 
-#include <config.h>
+#include <purpleconfig.h>
 
 #include <glib/gi18n-lib.h>
 
diff --git a/libpurple/protocols/jabber/si.c b/libpurple/protocols/jabber/si.c
--- a/libpurple/protocols/jabber/si.c
+++ b/libpurple/protocols/jabber/si.c
@@ -22,7 +22,7 @@
  *
  */
 
-#include <config.h>
+#include <purpleconfig.h>
 
 #include <errno.h>
 #include <sys/types.h>
diff --git a/libpurple/protocols/jabber/useravatar.c b/libpurple/protocols/jabber/useravatar.c
--- a/libpurple/protocols/jabber/useravatar.c
+++ b/libpurple/protocols/jabber/useravatar.c
@@ -21,7 +21,7 @@
  *
  */
 
-#include <config.h>
+#include <purpleconfig.h>
 
 #include <glib/gi18n-lib.h>
 
diff --git a/libpurple/protocols/jabber/xmpp.c b/libpurple/protocols/jabber/xmpp.c
--- a/libpurple/protocols/jabber/xmpp.c
+++ b/libpurple/protocols/jabber/xmpp.c
@@ -20,7 +20,7 @@
  *
  */
 
-#include <config.h>
+#include <purpleconfig.h>
 
 #include <glib/gi18n-lib.h>
 
diff --git a/libpurple/util.c b/libpurple/util.c
--- a/libpurple/util.c
+++ b/libpurple/util.c
@@ -17,9 +17,7 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
 
-#ifdef HAVE_CONFIG_H
-# include <config.h>
-#endif /* HAVE_CONFIG_H */
+#include <purpleconfig.h>
 
 #include <glib/gi18n-lib.h>
 
diff --git a/libpurple/win32/libc_interface.c b/libpurple/win32/libc_interface.c
--- a/libpurple/win32/libc_interface.c
+++ b/libpurple/win32/libc_interface.c
@@ -19,7 +19,7 @@
  *
  */
 
-#include <config.h>
+#include <purpleconfig.h>
 
 #include <glib/gi18n-lib.h>
 #include <winsock2.h>
diff --git a/libpurple/win32/win32dep.h b/libpurple/win32/win32dep.h
--- a/libpurple/win32/win32dep.h
+++ b/libpurple/win32/win32dep.h
@@ -23,8 +23,6 @@
 #ifndef PURPLE_WIN32_WIN32DEP_H
 #define PURPLE_WIN32_WIN32DEP_H
 
-#include <config.h>
-
 #include <winsock2.h>
 #include <windows.h>
 #include <shlobj.h>
diff --git a/libpurple/win32/win32dep.c b/libpurple/win32/win32dep.c
--- a/libpurple/win32/win32dep.c
+++ b/libpurple/win32/win32dep.c
@@ -22,6 +22,9 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  *
  */
+
+#include "purpleconfig.h"
+
 #include "win32/win32dep.h"
 
 #include <winuser.h>
diff --git a/meson.build b/meson.build
--- a/meson.build
+++ b/meson.build
@@ -43,7 +43,6 @@ find_program('gettext')
 find_program('xgettext')
 
 add_project_arguments([
-	'-DHAVE_CONFIG_H=1',
 	'-DVERSION="@0@"'.format(meson.project_version()),
 	'-DDISPLAY_VERSION="@0@"'.format(meson.project_version()),
 	'-DPURPLE_WEBSITE="https://pidgin.im/"',
@@ -192,7 +191,6 @@ if get_option('introspection')
 else
 	enable_introspection = false
 endif
-conf.set('ENABLE_INTROSPECTION', enable_introspection)
 
 #######################################################################
 # Check Pidgin dependencies
@@ -406,7 +404,6 @@ if IS_WIN32 or not add_languages('cpp', 
 	kwallet = disabler()
 else
 	add_project_arguments([
-		'-DHAVE_CONFIG_H=1',
 		'-DDISPLAY_VERSION="@0@"'.format(meson.project_version()),
 		'-DPURPLE_WEBSITE="https://pidgin.im/"',
 		f'-DGETTEXT_PACKAGE="@GETTEXT_PACKAGE@"'],
@@ -465,7 +462,7 @@ else
 endif
 conf.set('DEBUG', enable_debug)
 
-# So that config.h may be found.
+# So that purpleconfig.h may be found.
 toplevel_inc = include_directories('.')
 
 subdir('libpurple')
@@ -475,8 +472,7 @@ subdir('pidgin')
 subdir('doc')
 subdir('po')
 
-configure_file(output : 'config.h',
-    configuration : conf)
+configure_file(output: 'purpleconfig.h', configuration: conf)
 
 config_home = get_option('devenv-config-dir')
 if config_home == ''
diff --git a/pidgin/gtkblist.c b/pidgin/gtkblist.c
--- a/pidgin/gtkblist.c
+++ b/pidgin/gtkblist.c
@@ -19,9 +19,8 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  *
  */
-#ifdef HAVE_CONFIG_H
-# include <config.h>
-#endif
+
+#include <purpleconfig.h>
 
 #include <glib/gi18n-lib.h>
 
diff --git a/pidgin/gtkconv.c b/pidgin/gtkconv.c
--- a/pidgin/gtkconv.c
+++ b/pidgin/gtkconv.c
@@ -20,9 +20,7 @@
  *
  */
 
-#ifdef HAVE_CONFIG_H
-# include <config.h>
-#endif
+#include <purpleconfig.h>
 
 #include <glib/gi18n-lib.h>
 
diff --git a/pidgin/gtkdialogs.c b/pidgin/gtkdialogs.c
--- a/pidgin/gtkdialogs.c
+++ b/pidgin/gtkdialogs.c
@@ -19,9 +19,7 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
 
-#ifdef HAVE_CONFIG_H
-# include <config.h>
-#endif
+#include <purpleconfig.h>
 
 #include <glib/gi18n-lib.h>
 
diff --git a/pidgin/gtkidle.c b/pidgin/gtkidle.c
--- a/pidgin/gtkidle.c
+++ b/pidgin/gtkidle.c
@@ -16,9 +16,7 @@
  * along with this program; if not, see <https://www.gnu.org/licenses/>.
  */
 
-#ifdef HAVE_CONFIG_H
-# include <config.h>
-#endif
+#include <purpleconfig.h>
 
 #include "gtkidle.h"
 
diff --git a/pidgin/gtkmedia.c b/pidgin/gtkmedia.c
--- a/pidgin/gtkmedia.c
+++ b/pidgin/gtkmedia.c
@@ -19,9 +19,7 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
 
-#ifdef HAVE_CONFIG_H
-# include <config.h>
-#endif
+#include <purpleconfig.h>
 
 #include <glib/gi18n-lib.h>
 
diff --git a/pidgin/gtkutils.c b/pidgin/gtkutils.c
--- a/pidgin/gtkutils.c
+++ b/pidgin/gtkutils.c
@@ -19,9 +19,7 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
 
-#ifdef HAVE_CONFIG_H
-# include <config.h>
-#endif
+#include <purpleconfig.h>
 
 #include <errno.h>
 
diff --git a/pidgin/libpidgin.c b/pidgin/libpidgin.c
--- a/pidgin/libpidgin.c
+++ b/pidgin/libpidgin.c
@@ -20,9 +20,7 @@
  * along with this program; if not, see <https://www.gnu.org/licenses/>.
  */
 
-#ifdef HAVE_CONFIG_H
-# include <config.h>
-#endif
+#include <purpleconfig.h>
 
 #include <glib/gi18n-lib.h>
 
diff --git a/pidgin/pidginabout.c b/pidgin/pidginabout.c
--- a/pidgin/pidginabout.c
+++ b/pidgin/pidginabout.c
@@ -20,9 +20,7 @@
  * along with this program; if not, see <https://www.gnu.org/licenses/>.
  */
 
-#ifdef HAVE_CONFIG_H
-# include <config.h>
-#endif
+#include <purpleconfig.h>
 
 #ifdef HAVE_MESON_CONFIG
 #include "meson-config.h"
diff --git a/pidgin/pidginapplication.c b/pidgin/pidginapplication.c
--- a/pidgin/pidginapplication.c
+++ b/pidgin/pidginapplication.c
@@ -20,9 +20,7 @@
  * along with this program; if not, see <https://www.gnu.org/licenses/>.
  */
 
-#ifdef HAVE_CONFIG_H
-# include <config.h>
-#endif
+#include <purpleconfig.h>
 
 #include <glib.h>
 #include <glib/gi18n-lib.h>
diff --git a/pidgin/pidgindebug.c b/pidgin/pidgindebug.c
--- a/pidgin/pidgindebug.c
+++ b/pidgin/pidgindebug.c
@@ -19,9 +19,7 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
 
-#ifdef HAVE_CONFIG_H
-# include <config.h>
-#endif
+#include <purpleconfig.h>
 
 #include <glib/gi18n-lib.h>
 #include <glib/gstdio.h>
diff --git a/pidgin/pidginui.c b/pidgin/pidginui.c
--- a/pidgin/pidginui.c
+++ b/pidgin/pidginui.c
@@ -26,9 +26,7 @@
 #define G_SETTINGS_ENABLE_BACKEND
 #include <gio/gsettingsbackend.h>
 
-#ifdef HAVE_CONFIG_H
-# include <config.h>
-#endif
+#include <purpleconfig.h>
 
 #include "pidginui.h"
 
diff --git a/pidgin/plugins/disco/gtkdisco.c b/pidgin/plugins/disco/gtkdisco.c
--- a/pidgin/plugins/disco/gtkdisco.c
+++ b/pidgin/plugins/disco/gtkdisco.c
@@ -20,9 +20,7 @@
  * along with this program; if not, see <https://www.gnu.org/licenses/>.
  */
 
-#ifdef HAVE_CONFIG_H
-# include <config.h>
-#endif
+#include <purpleconfig.h>
 
 #include <glib/gi18n-lib.h>
 
diff --git a/pidgin/plugins/gestures/stroke-draw.c b/pidgin/plugins/gestures/stroke-draw.c
--- a/pidgin/plugins/gestures/stroke-draw.c
+++ b/pidgin/plugins/gestures/stroke-draw.c
@@ -4,7 +4,7 @@
   See the file COPYING for distribution information.
 */
 
-#include "config.h"
+#include "purpleconfig.h"
 
 #ifdef HAVE_UNISTD_H
 #include <unistd.h>
diff --git a/pidgin/plugins/gestures/stroke.c b/pidgin/plugins/gestures/stroke.c
--- a/pidgin/plugins/gestures/stroke.c
+++ b/pidgin/plugins/gestures/stroke.c
@@ -7,7 +7,7 @@
    This file contains the stroke recognition algorithm.
 */
 
-#include "config.h"
+#include "purpleconfig.h"
 
 #ifdef HAVE_UNISTD_H
 #include <unistd.h>
diff --git a/pidgin/prefs/pidginprefs.c b/pidgin/prefs/pidginprefs.c
--- a/pidgin/prefs/pidginprefs.c
+++ b/pidgin/prefs/pidginprefs.c
@@ -20,9 +20,7 @@
  * along with this program; if not, see <https://www.gnu.org/licenses/>.
  */
 
-#ifdef HAVE_CONFIG_H
-# include <config.h>
-#endif
+#include <purpleconfig.h>
 
 #include <errno.h>
 #include <math.h>
diff --git a/pidgin/prefs/pidginvvprefs.c b/pidgin/prefs/pidginvvprefs.c
--- a/pidgin/prefs/pidginvvprefs.c
+++ b/pidgin/prefs/pidginvvprefs.c
@@ -20,9 +20,7 @@
  * along with this program; if not, see <https://www.gnu.org/licenses/>.
  */
 
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
+#include <purpleconfig.h>
 
 #include <math.h>
 
diff --git a/pidgin/win32/gtkwin32dep.h b/pidgin/win32/gtkwin32dep.h
--- a/pidgin/win32/gtkwin32dep.h
+++ b/pidgin/win32/gtkwin32dep.h
@@ -20,8 +20,6 @@
 #ifndef _GTKWIN32DEP_H_
 #define _GTKWIN32DEP_H_
 
-#include <config.h>
-
 #include <windows.h>
 #include <gtk/gtk.h>
 
diff --git a/pidgin/win32/winpidgin.c b/pidgin/win32/winpidgin.c
--- a/pidgin/win32/winpidgin.c
+++ b/pidgin/win32/winpidgin.c
@@ -30,7 +30,7 @@
  * at runtime if needed and dynamically loads libpidgin via LoadLibrary().
  */
 
-#include "config.h"
+#include "purpleconfig.h"
 
 #include <windows.h>
 #include <shellapi.h>
